//CBADMCDJ JOB (COBOL),'SNJARAO',CLASS=A,MSGCLASS=H,MSGLEVEL=(1,1),
//         NOTIFY=&SYSUID,TIME=1440
//******************************************************************
//* Copyright Amazon.com, Inc. or its affiliates.                   
//* All Rights Reserved.                                            
//*                                                                 
//* Licensed under the Apache License, Version 2.0 (the "License"). 
//* You may not use this file except in compliance with the License.
//* You may obtain a copy of the License at                         
//*                                                                 
//*    http://www.apache.org/licenses/LICENSE-2.0                   
//*                                                                 
//* Unless required by applicable law or agreed to in writing,      
//* software distributed under the License is distributed on an     
//* "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,    
//* either express or implied. See the License for the specific     
//* language governing permissions and limitations under the License
//******************************************************************
//*********************************************************************
//****  Create Resources for Card Demo application               ******
//****  Ref: https://www.ibm.com/docs/en/cics-ts/5.3             ******
//****             ?topic=commands-dfhcsdup-define-command       ******
//*********************************************************************
//*  ---------------------------
//*  SET PARMS FOR THIS JOB:
//*  ---------------------------
//   SET HLQ=AWS.M2.CCDA
//*
//STEP1   EXEC PGM=DFHCSDUP,REGION=0M,
//          PARM='CSD(READWRITE),PAGESIZE(60),NOCOMPAT'
//STEPLIB  DD  DSN=OEM.CICSTS.V05R06M0.CICS.SDFHLOAD,DISP=SHR
//DFHCSD   DD  UNIT=SYSDA,DISP=SHR,DSN=OEM.CICSTS.DFHCSD
//OUTDD    DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *,SYMBOLS=JCLONLY
*/********************************************************************/
*/*  CCDA CICS DEFINITIONS                                           */
*/********************************************************************/
* NOTE: INSTALL GROUP(CCDA) - CEDA IN G(CCDA)                        *
*     IF YOU ARE RERUNNING THIS, UNCOMMENT THE DELETE COMMAND. *
*
* START CCDA RESOURCES:
*
* DELETE GROUP(CCDA)

  DEFINE LIBRARY(COM2DOLL) GROUP(CCDA)
                DSNAME01(&HLQ..LOADLIB)

* DEFINE TDQUEUE(CSSD) GROUP(CCDA) TYPE(INTRA)
* DEFINE TDQUEUE(IRDC) GROUP(CCDA) TYPE(INTRA)

  DEFINE MAPSET(COSGN00M)   GROUP(CCDA)
         DESCRIPTION(LOGIN SCREEN)

  DEFINE MAPSET(COSGN00M)   GROUP(CCDA)
         DESCRIPTION(LOGIN SCREEN)

  DEFINE MAPSET(COACT00S)   GROUP(CCDA)
         DESCRIPTION(ACCOUNT MENU)
  DEFINE MAPSET(COACTVWS)   GROUP(CCDA)
         DESCRIPTION(VIEW ACCOUNT)
  DEFINE MAPSET(COACTUPS)   GROUP(CCDA)
         DESCRIPTION(UPDATE ACCOUNT)
  DEFINE MAPSET(COACTDES)   GROUP(CCDA)
         DESCRIPTION(DEACTIVATE ACCOUNT)

  DEFINE MAPSET(COACT00S)   GROUP(CCDA)
         DESCRIPTION(CARD MENU)
  DEFINE MAPSET(COACTVWS)   GROUP(CCDA)
         DESCRIPTION(VIEW CARD)
  DEFINE MAPSET(COACTUPS)   GROUP(CCDA)
         DESCRIPTION(UPDATE CARD)
  DEFINE MAPSET(COACTDES)   GROUP(CCDA)
         DESCRIPTION(DEACTIVATE CARD)

  DEFINE MAPSET(COTRN00S)   GROUP(CCDA)
         DESCRIPTION(TRANSACTION)
  DEFINE MAPSET(COTRNVWS)   GROUP(CCDA)
         DESCRIPTION(TRANSACTION REPORT)
  DEFINE MAPSET(COTRNVDS)   GROUP(CCDA)
         DESCRIPTION(TRANSACTION DETAILS)
  DEFINE MAPSET(COTRNATS)   GROUP(CCDA)
         DESCRIPTION(ADD TRANSACTIONS)

  DEFINE MAPSET(COBIL00S)   GROUP(CCDA)
         DESCRIPTION(BILL PAY SETUP)

  DEFINE MAPSET(COADM00S)   GROUP(CCDA)
         DESCRIPTION(ADMIN MENU)

  DEFINE MAPSET(COTSTP1S)   GROUP(CCDA)
         DESCRIPTION(PGM1 TEST)
  DEFINE MAPSET(COTSTP2S)   GROUP(CCDA)
         DESCRIPTION(PGM2 TEST)
  DEFINE MAPSET(COTSTP3S)   GROUP(CCDA)
         DESCRIPTION(PGM3 TEST)
  DEFINE MAPSET(COTSTP4S)   GROUP(CCDA)
         DESCRIPTION(PGM4 TEST)

  DEFINE PROGRAM(COSGN00C) GROUP(CCDA) DA(ANY) TRANSID(CC00)
         DESCRIPTION(LOGIN)

  DEFINE PROGRAM(COACT00C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(ACCOUNT MAIN MENU)
  DEFINE PROGRAM(COACTVWC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(VIEW ACCOUNT)
  DEFINE PROGRAM(COACTUPC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(UPDATE ACCOUNT)
  DEFINE PROGRAM(COACTDEC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(DEACTIVATE ACCOUNT)

  DEFINE PROGRAM(COACT00C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(CARD MENU)
  DEFINE PROGRAM(COACTVWC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(VIEW CARD)
  DEFINE PROGRAM(COACTUPC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(UPDATE CARD)
  DEFINE PROGRAM(COACTDEC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(DEACTIVATE CARD)
  DEFINE PROGRAM(COTRN00C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(TRANSACTION)
  DEFINE PROGRAM(COTRNVWC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(TRANSACTION REPORT)
  DEFINE PROGRAM(COTRNVDC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(TRANSACTION DETAILS)
  DEFINE PROGRAM(COTRNATC) GROUP(CCDA) DA(ANY)
         DESCRIPTION(ADD TRANSACTIONS)

  DEFINE PROGRAM(COBIL00C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(BILL PAY)

  DEFINE PROGRAM(COADM00C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(ADMIN MENU)
         TRANSID(CCAD)

  DEFINE PROGRAM(COTSTP1C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(PGM1 TEST)
         TRANSID(CCT1)
  DEFINE PROGRAM(COTSTP2C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(PGM2 TEST)
         TRANSID(CCT2)
  DEFINE PROGRAM(COTSTP3C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(PGM1 TEST)
         TRANSID(CCT3)
  DEFINE PROGRAM(COTSTP4C) GROUP(CCDA) DA(ANY)
         DESCRIPTION(PGM4 TEST)
         TRANSID(CCT4)

  DEFINE TRANSACTION(CCDM) GROUP(CCDA)
                PROGRAM(COADM00C) TASKDATAL(ANY)

  DEFINE TRANSACTION(CCT1) GROUP(CCDA)
                PROGRAM(COTSTP1C) TASKDATAL(ANY)
  DEFINE TRANSACTION(CCT2) GROUP(CCDA)
                PROGRAM(COTSTP2C) TASKDATAL(ANY)
  DEFINE TRANSACTION(CCT3) GROUP(CCDA)
                PROGRAM(COTSTP3C) TASKDATAL(ANY)
  DEFINE TRANSACTION(CCT4) GROUP(CCDA)
                PROGRAM(COTSTP4C) TASKDATAL(ANY)

  LIST   GROUP(CCDA)
*
* END CCDA RESOURCES
*
/*
//
//*
//* Ver: CardDemo_v1.0-15-g27d6c6f-68 Date: 2022-07-19 23:23:04 CDT
//*
